# Class DeploymentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.websocket.DeploymentException

All Implemented Interfaces:
  `Serializable`

public class DeploymentException extends Exception
Exception thrown when a WebSocket endpoint cannot be deployed due to a configuration error.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentException(String message)`
  Creates a DeploymentException with the specified detail message.
  `DeploymentException(String message, Throwable cause)`
  Creates a DeploymentException with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeploymentException

    public DeploymentException(String message)
    Creates a DeploymentException with the specified detail message.
    Parameters:
      `message` - The detail message

  - ### DeploymentException

    public DeploymentException(String message, Throwable cause)
    Creates a DeploymentException with the specified detail message and cause.
    Parameters:
      `message` - The detail message
      `cause` - The underlying cause of the exception